#include "script_system.hpp"

#include "pw/system/window.hpp"

namespace pw {

void script_system::load(sol::table &ns)
{
	ns.new_usertype<window>("window",
							"update",&window::update,
							"title",sol::writeonly_property(&window::set_title),
							"set_size",&window::set_size
							);
}

}
